package de.hdm_stuttgart.mi.sda1.hiberjpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.hdm_stuttgart.mi.sda1.hiberjpa.model.Lecture;

/**
 * A simple Jpa 2.1 example
 * 
 */
public class PersistDriver {

   /**
    * @param args
    *           Unused
    */
   public static void main(String[] args) {
      final EntityManagerFactory emFactory = Persistence
            .createEntityManagerFactory("jpa-recreate");

      final EntityManager em = emFactory.createEntityManager();

      em.getTransaction().begin();
      {
         em.persist(new Lecture("Structure data and applications 1"));
      }
      em.getTransaction().commit();

      em.close();

      // See http://stackoverflow.com/questions/21645516/program-using-hibernate-does-not-terminate
      emFactory.close();
   }
}
